restinio::http_field_parsers::qvalue_details::untrusted Class Reference

A helper wrapper to indicate that value hasn't been checked yet and should be checked in the constructor of qvalue. More...

`#include <basics.hpp>`

## Public Member Functions

| untrusted (underlying_uint_t value)
auto | get () const noexcept

## Private Attributes

underlying_uint_t | m_value

## Detailed Description

A helper wrapper to indicate that value hasn't been checked yet and should be checked in the constructor of qvalue.

Definition at line 63 of file basics.hpp.

## Constructor & Destructor Documentation

## untrusted()

restinio::http_field_parsers::qvalue_details::untrusted::untrusted | ( | underlying_uint_t | value | ) |

inlineexplicit

Definition at line 69 of file basics.hpp.

## Member Function Documentation

## get()

auto restinio::http_field_parsers::qvalue_details::untrusted::get | ( |  | ) | const

inlinenoexcept

Definition at line 76 of file basics.hpp.

## Member Data Documentation

## m_value

underlying_uint_t restinio::http_field_parsers::qvalue_details::untrusted::m_value

private

Definition at line 65 of file basics.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/http_field_parsers/basics.hpp